//+------------------------------------------------------------------+
//|                                          Set Buy Sell Orders.mq4 |
//|                      Copyright  2006, MetaQuotes Software Corp. |
//|                                        http://www.metaquotes.net |
//+------------------------------------------------------------------+
#property copyright "Copyright  2006, Hli Hayun."
#property link      "http://www.metaquotes.net"
#include <stdlib.mqh>

extern   int Lots = 1;
extern   int Trap = 15;

bool UseImmediate = false;
int  NumTrades    = 1;

//+------------------------------------------------------------------+
//| script program start function                                    |
//+------------------------------------------------------------------+
int start()
  {
//----
   
   double buystop = Bid+Trap*Point;
   double sellstop = Ask-Trap*Point;
   int TakeProfit = 300;
   int StopLoss   = 15;
   int PipApart   = 50;
   int ii;

   if (UseImmediate)
   {
      OrderSend(Symbol(),OP_BUY,Lots,Ask,3,Ask-StopLoss*Point,Ask+TakeProfit*Point,"WSS News Trap Buy",16384,0,Green);
      int err = GetLastError();
      Print("Error: ", ErrorDescription(err));
      OrderSend(Symbol(),OP_SELL,Lots,Bid,3,Bid+StopLoss*Point,Bid-TakeProfit*Point,"WSS News Trap Sell",16384,0,Red);   
      err = GetLastError();
      Print("Error: ", ErrorDescription(err));
   }
      
   StopLoss = 20;
   
   for (ii=0; ii<NumTrades; ii++)
   {
      OrderSend(Symbol(),OP_BUYSTOP,Lots,buystop,3,buystop-StopLoss*Point,buystop+TakeProfit*Point,"WSS News Trap Buy",16384,0,Green);
      err = GetLastError();
      Print("Error: ", ErrorDescription(err));
      buystop += (PipApart*Point);
   }   
   
   for (ii=0; ii<NumTrades; ii++)
   {
      OrderSend(Symbol(),OP_SELLSTOP,Lots,sellstop,3,sellstop+StopLoss*Point,sellstop-TakeProfit*Point,"WSS News Trap Sell",16384,0,Red);
      err = GetLastError();
      Print("Error: ", ErrorDescription(err));
      sellstop -= (PipApart * Point);
   }   
//----
   return(0);
  }
//+------------------------------------------------------------------+